# Class SplineModel

java.lang.Object
org.apache.jmeter.visualizers.SplineModel

All Implemented Interfaces:
  `Clearable`

public class SplineModel extends Object implements Clearable

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DEFAULT_NUMBER_OF_NODES`
`static final int`
`DEFAULT_REFRESH_PERIOD`
`protected int`
`numberOfNodes`
`protected int`
`refreshPeriod`
`protected final boolean`
`SHOW_INCOMING_SAMPLES`

## Constructor Summary

Constructors
Constructor
Description
`SplineModel()`

## Method Summary

Modifier and Type
Method
Description
`void`
`add(SampleResult sampleResult)`
`void`
`clearData()`
Clears the current data of the object.
`long`
`getAverage()`
`long`
`getCurrent()`
`Spline3`
`getDataCurve()`
`long`
`getMaximum()`
`long`
`getMinimum()`
`String`
`getName()`
`long`
`getNumberOfCollectedSamples()`
`long`
`getSample(int i)`
`boolean`
`isEditable()`
`void`
`setListener(GraphListener vis)`
`void`
`setName(String newName)`
`void`
`uncompile()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT_NUMBER_OF_NODES

public static final int DEFAULT_NUMBER_OF_NODES

See Also:
  - Constant Field Values

### DEFAULT_REFRESH_PERIOD

public static final int DEFAULT_REFRESH_PERIOD

See Also:
  - Constant Field Values

### SHOW_INCOMING_SAMPLES

protected final boolean SHOW_INCOMING_SAMPLES

See Also:
  - Constant Field Values

### numberOfNodes

protected int numberOfNodes

### refreshPeriod

protected int refreshPeriod

## Constructor Details

### SplineModel

public SplineModel()

## Method Details

### setListener

public void setListener(GraphListener vis)

### setName

public void setName(String newName)

### isEditable

public boolean isEditable()

### getDataCurve

public Spline3 getDataCurve()

### getMinimum

public long getMinimum()

### getMaximum

public long getMaximum()

### getAverage

public long getAverage()

### getCurrent

public long getCurrent()

### getSample

public long getSample(int i)

### getNumberOfCollectedSamples

public long getNumberOfCollectedSamples()

### getName

public String getName()

### uncompile

public void uncompile()

### clearData

public void clearData()
Description copied from interface: `Clearable`
Clears the current data of the object.

Specified by:
  `clearData` in interface `Clearable`

### add

public void add(SampleResult sampleResult)